package p_v.listviewpriklad;

import android.content.Context;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    String[] krajiny = {"Slovensko","Česko","Maďarsko", "Poľsko"};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ListView mojZoznam = (ListView) findViewById(R.id.listview);
       /*
        * nastavenie adaptéra setAdapter()
        * pre zobrazenie údajov z poľa, musíme použiť ArrayAdapter(),
        * prvý parameter - context
        * druhý parameter udáva, že chceme použiť štandartný XML layout, ktorý obsahuje jedno TextView v jednom riadku
        * tretí parameter predstavuje objekty, ktoré chceme zobraziť pomocou listu
        */
        mojZoznam.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, krajiny));
        //metóda setOnItemClickListener() sa volá, keď chceme, aby sa niečo vykonalo po kliknutí na konkrétny riadok
        mojZoznam.setOnItemClickListener(new ListView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                Toast.makeText(getApplicationContext(),krajiny[position], Toast.LENGTH_LONG).show();
            }
        });

        //metóda setOnItemClickListener() sa volá, keď chceme, aby sa niečo vykonalo po podržaní prsta na obrazovke. V tom prípade sa nevolá metóda setOnItemClickListener()
        mojZoznam.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            @Override
            public boolean onItemLongClick(AdapterView<?> parent, View view, int position, long id) {
                Toast.makeText(getApplicationContext(), "podrzanie" + krajiny[position], Toast.LENGTH_LONG).show();
                return true;
            }
        });
    }
}
